apache2-mod_ldap-2.4.41-alt1.i586.rpm


Advertisement

Description

apache2-mod_ldap - Modules LDAP support for the Apache HTTP server

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename apache2-mod_ldap-2.4.41-alt1.i586.rpm
Package name apache2-mod_ldap
Package version 2.4.41
Package release alt1
Package architecture i586
Package type rpm
Category System/Servers
Homepage -
License -
Maintainer -
Download size 151.48 KB
Installed size 151.48 KB
This package contains the modules:
mod_ldap -- LDAP connection pooling and result caching services for use by
other LDAP modules.
mod_authnz_ldap -- Allows an LDAP directory to be used to store the database
for HTTP Basic authentication.

Alternatives

Package Version Architecture Repository
apache2-mod_ldap-2.4.41-alt1.x86_64.rpm 2.4.41 x86_64 Classic
apache2-mod_ldap - - -

Requires

Name Value
apache2-base = 1:2.4.41-alt1:sisyphus+236033.100.1.1
apache2-mmn = 20120211
libapr1 >= 1.6.5-alt1
libaprutil1 >= 1.6.1-alt2
liblber-2.4.so.2 -
libldap-2.4.so.2 -
libpthread.so.0 -
rpmlib(PayloadIsLzma) -

Provides

Name Value
apache2-mod_authnz_ldap = 1:2.4.41-alt1
apache2-mod_ldap = 1:2.4.41-alt1:sisyphus+236033.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package apache2-mod_ldap-2.4.41-alt1.i586.rpm
Source Package apache2-2.4.41-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install apache2-mod_ldap rpm package:
    # sudo apt-get install apache2-mod_ldap

Files

Path
/usr/lib/apache2/modules/mod_authnz_ldap.so
/usr/lib/apache2/modules/mod_ldap.so

Changelog

2019-08-14 - Anton Farygin <rider@altlinux.ru> 1:2.4.41-alt1
- 2.4.41
2019-04-02 - Anton Farygin <rider@altlinux.ru> 1:2.4.39-alt1
- 2.4.39
- fixes:
* Apache HTTP Server privilege escalation from modules scripts. CVE-2019-0211
* mod_auth_digest access control bypass. CVE-2019-0217
* mod_ssl access control bypass. CVE-2019-0215
* Apache httpd URL normalization inconsistincy. CVE-2019-0220
2019-01-25 - Anton Farygin <rider@altlinux.ru> 1:2.4.38-alt1
- 2.4.38
- fixes:
* important: mod_ssl 2.4.37 remote DoS when used with OpenSSL 1.1.1. CVE-2019-0190
* low: mod_session_cookie does not respect expiry time. CVE-2018-17199
* low: DoS for HTTP/2 connections via slow request bodies. CVE-2018-17189
2018-10-24 - Anton Farygin <rider@altlinux.ru> 1:2.4.37-alt1
- 2.4.37
- removed TimeoutStartSec in httpd.service (closes: #27925)
- save to log remoteip instead of remote hostname for fix of work with
mod_remoteip module (closes: #34974)
2018-10-15 - Anton Farygin <rider@altlinux.ru> 1:2.4.35-alt2
- removed ubt tag
- changed rundir location to /run in tmpfiles
- disabled TLSv1 and TLSv1.1 protocols by default (closes: #34717)
2018-10-14 - Igor Vlasenko <viy@altlinux.ru> 1:2.4.35-alt1.qa1
- NMU: applied repocop patch
2018-09-25 - Anton Farygin <rider@altlinux.ru> 1:2.4.35-alt1
- 2.4.35
2018-09-03 - Anton Farygin <rider@altlinux.ru> 1:2.4.34-alt2
- rebuilt with openssl-1.1 (Sisyphus)
2018-07-31 - Anton Farygin <rider@altlinux.ru> 1:2.4.34-alt1
- 2.4.34
- fixes:
* CVE-2018-1333 DoS for HTTP/2 connections by crafted requests
* CVE-2018-8011 mod_md, DoS via Coredumps on specially crafted requests
2018-03-31 - Anton Farygin <rider@altlinux.ru> 1:2.4.33-alt1
- 2.4.33
- fixes:
* CVE-2018-1303 low: Possible out of bound read in mod_cache_socache
* CVE-2018-1302 low: Possible write of after free on HTTP/2 stream shutdown
* CVE-2018-1301 low: Possible out of bound access after failure in reading the HTTP request 
* CVE-2018-1312 low: Weak Digest auth nonce generation in mod_auth_digest
* CVE-2017-15715 low: <FilesMatch> bypass with a trailing newline in the file name
* CVE-2017-15710 low: Out of bound write in mod_authnz_ldap when using too small Accept-Language values
* CVE-2018-1283 medium: Tampering of mod_session data for CGI applications

See Also

Package Description
apache2-mod_limitipconn-0.24-alt1.i586.rpm Limit simultaneous connections by an IP address
apache2-mod_lookup_identity-1.0.0-alt3.i586.rpm Apache module to retrieve additional information about the authenticated user
apache2-mod_mpm_itk-2.4.7-alt1.i586.rpm MPM Itk for Apache HTTP Server
apache2-mod_ngobjweb-4.0.8-alt1.i586.rpm mod_ngobjweb module for Apache2
apache2-mod_nss-1.0.18-alt1.i586.rpm Apache 2.0 module for implementing crypto using the Mozilla NSS crypto libraries
apache2-mod_passenger-6.0.2-alt1.i586.rpm Easy and robust deployment Ruby on Rails applications on Apache webserver
apache2-mod_perl-2.0.10-alt4.2.i586.rpm An embedded Perl interpreter for the Apache2 Web server
apache2-mod_perl-devel-2.0.10-alt4.2.i586.rpm Files needed for building XS modules that use mod_perl
apache2-mod_php7-7.2.23-alt1.i586.rpm The php7 HTML-embedded scripting language for use with Apache2
apache2-mod_php7-control-7.2.23-alt1.i586.rpm Control facility and profiles for apache2-mod_php7
apache2-mod_python-3.5.0-alt2.i586.rpm Python module for Apache2
apache2-mod_revocator-1.0.3-alt4.i586.rpm Apache 2.0 module that lets the user configure remote Certificate Revocation Lists
apache2-mod_security-2.9.1-alt1.i586.rpm Tighten web applications security for Apache 2.x
apache2-mod_ssl-2.4.41-alt1.i586.rpm SSL/TLS module for the Apache HTTP server
apache2-mod_umask-0.1.0-alt3.i586.rpm Sets the Unix umask of the Apache2 webserver process after it has started
Advertisement
Advertisement